Cyan Web API - Version 1


POST api/nodeIndices

            Creates a NodeIndex
            

Request Information

Parameters

NameDescriptionAdditional information
nodeIndexRepresentation

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
{
  "nodeIndexId": "6df9a3a6-dc3b-4910-bf0f-0aa2b2449a61",
  "tenantId": "15d7403b-bf38-454d-b9a5-7191b4c73286",
  "propertyKey": "sample string 3",
  "propertyValue": "sample string 4",
  "nodeId": "59602d99-ea5e-431c-a551-63f56e86ad19",
  "nodeCyanId": 6,
  "cyanId": 7,
  "createdDateUtc": "2026-03-22T14:43:23.9525271+00:00",
  "updatedDateUtc": "2026-03-22T14:43:23.9525271+00:00"
}

application/xml, text/xml

Sample:
<NodeIndexRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-03-22T14:43:23.9525271+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-03-22T14:43:23.9525271+00:00</UpdatedDateUtc>
  <CyanId>7</CyanId>
  <NodeCyanId>6</NodeCyanId>
  <NodeId>59602d99-ea5e-431c-a551-63f56e86ad19</NodeId>
  <NodeIndexId>6df9a3a6-dc3b-4910-bf0f-0aa2b2449a61</NodeIndexId>
  <PropertyKey>sample string 3</PropertyKey>
  <PropertyValue>sample string 4</PropertyValue>
  <TenantId>15d7403b-bf38-454d-b9a5-7191b4c73286</TenantId>
</NodeIndexRepresentation>

application/x-www-form-urlencoded

Sample:

Sample not available.